// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = true
settings.logErroringRecipes = true

onEvent('recipes', event => {
    event.smelting('create:andesite_alloy', 'kubejs:unprepared_alloy')

    } 
)

onEvent('player.logged_in', event => {
    if (!event.player.stages.has('starting_items')) {
        event.player.stages.add('starting_items')
        event.player.give('ftbquests:book')
        event.player.give('4x minecraft:apple')
      }
    })


onEvent('recipes', event => {
event.shaped('kubejs:unprepared_alloy', [
     '   ',
     'AD ',
     'SS '
     ], {
     S: 'create:andesite_cobblestone',
     A: 'minecraft:iron_nugget',
     D: 'kubejs:crushed_buddypacks'
    })
})

onEvent('recipes', event => {
    event.shaped('4x kubejs:crushed_buddypacks', [
     '   ',
     '   ',
     'SS '
     ], {
     S: 'buddycards:buddybeans'   
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:unprepared_alloy', [
         '   ',
         'AD ',
         'SS '
         ], {
         S: 'create:andesite_cobblestone',
         A: 'minecraft:iron_nugget',
         D: 'kubejs:crushed_buddypacks'
        })
    })

    onEvent('recipes', event => {
        event.shaped('8x kubejs:crushed_buddypacks', [
             '   ',
             '   ',
             'SS '
             ], {
             S: 'buddycards:shredded_buddycard'
            })
        })

        onEvent('recipes', event => {
            event.shaped('buddycards:pack.1', [
                 '   ',
                 'SD ',
                 'SS '
                 ], {
                 D: 'minecraft:iron_ingot',
                 S: 'kubejs:crushed_buddypacks'
                })
            })

            onEvent('recipes', event => {
            event.recipes.createMixing('kubejs:unprepared_alloy', [
                'create:andesite_cobblestone',
                'create:andesite_cobblestone',
                'minecraft:iron_nugget',
                'minecraft:iron_nugget',
                'kubejs:crushed_buddypacks'
              ])
            })
           
            onEvent('recipes', event => {
                event.recipes.createMixing('2x create:brass_ingot', [
                'create:zinc_ingot',
                'create:copper_ingot',
                'kubejs:crushed_buddypacks'    
            ]).heated()
            })
                 
